clc
clear
data_raw = load('data_torque_periodisk.txt');
data = data_raw(11000:end,:);
torque = data(:,2)';

time = timeVec(data);

torque_apf=zeros(6,2218);
c = ones(1,6);

for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 5.5 && time(i) <= 8.5
        torque_apf(1,c(1)) = torque(i);
        c(1) = c(1) + 1;
    end
    if time(i) >= 15 && time(i) <= 18
        torque_apf(2,c(2)) = torque(i);
        c(2) = c(2) + 1;
    end
    if time(i) >= 25.5 && time(i) <= 28.79
        torque_apf(3,c(3)) = torque(i);
        c(3) = c(3) + 1;
    end
     if time(i) >= 35.7 && time(i) <= 38.65
        torque_apf(4,c(4)) = torque(i);
        c(4) = c(4) + 1;
    end
     if time(i) >= 45.2 && time(i) <= 48
        torque_apf(5,c(5)) = torque(i);
        c(5) = c(5) + 1;
     end
    if time(i) >= 55.3 && time(i) <= 58
        torque_apf(6,c(6)) = torque(i);
        c(6) = c(6) + 1;
    end
end

avg = zeros(6,1);
torque_apf_s = torque_apf(:,1:1825); %trimming the signal to avoid 0 values

for k = 1:6
    avg(k) = sum(torque_apf_s(k,:))/length(torque_apf_s(k,:));
end




