clc 
clear

data_raw = load('data_xpos_periodisk.txt');
data = data_raw(5000:end,:);
x_axis = data(:,2)';
time = timeVec(data);

x_axis_apf = zeros(6,length(time));
c = ones(1,6);
for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 4.5 && time(i) <= 8.09
        x_axis_apf(1,c(1)) = x_axis(i);
        c(1) = c(1) + 1;
    end
    if time(i) >= 14.3 && time(i) <= 17.7
        x_axis_apf(2,c(2)) = x_axis(i);
        c(2) = c(2) + 1;
    end
    if time(i) >= 23.8 && time(i) <= 28
        x_axis_apf(3,c(3)) = x_axis(i);
        c(3) = c(3) + 1;
    end
     if time(i) >= 33.9 && time(i) <= 37.87
        x_axis_apf(4,c(4)) = x_axis(i);
        c(4) = c(4) + 1;
    end
     if time(i) >= 43.8 && time(i) <= 48.14
        x_axis_apf(5,c(5)) = x_axis(i);
        c(5) = c(5) + 1;
     end
    if time(i) >= 54.2 && time(i) <= 57.88
        x_axis_apf(6,c(6)) = x_axis(i);
        c(6) = c(6) + 1;
    end
end

x_axis_apf_s = x_axis_apf(:,1:2298); %trimming

avg = zeros(6,1);

for k=1:6
    avg(k) = sum(x_axis_apf_s(k,:))/length(x_axis_apf_s(k,:));
end
