clc
clear

data_raw = load('data_yneg_periodisk.txt'); %loading the data
data = data_raw(40000:end,:); %trimming the length of the data

y_akse = data(:,2)'; %assigning 
time = timeVec(data);

apf = zeros(6,length(time)); 

c = ones(1,6); %Array with counters

for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 3.2 && time(i) <= 7.35 
        apf(1,c(1)) = y_akse(i); 
        c(1) = c(1) + 1;
    end
    if time(i) >= 13.3 && time(i) <= 17.41
        apf(2,c(2)) = y_akse(i);
        c(2) = c(2) + 1;
    end
    if time(i) >= 23.3 && time(i) <= 27.23
        apf(3,c(3)) = y_akse(i);
        c(3) = c(3) + 1;
    end
     if time(i) >= 33.3 && time(i) <= 37.37
        apf(4,c(4)) = y_akse(i);
        c(4) = c(4) + 1;
     end
    if time(i) >= 43.3 && time(i) <= 47.27 
        apf(5,c(5)) = y_akse(i);
        c(5) = c(5) + 1;
    end
    if time(i) >= 53.1 && time(i) <= 57.21
        apf(6,c(6)) = y_akse(i);
        c(6) = c(6) + 1;
    end
end

apf_s = apf(:,1:2571);

avg = zeros(6,1);
for k=1:6
    avg(k) = sum(apf_s(k,:))/length(apf_s(k,:));
end

bar(avg)