%preamble
clc
clear

%Force in positive y direction
data = load('data_ypos_perdiodisk.txt');
y_akse_data = data(:,2)';
y_akse = y_akse_data(1:end);
time = timeVec(data); %Sets start time to 0, and converts to seconds


y_akse_apf = zeros(6,length(time)); 
c = ones(1,6); %Array with counters
for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 8.4 && time(i) <= 12.33
        y_akse_apf(1,c(1)) = y_akse(i);
        c(1) = c(1) + 1;
    end
    if time(i) >= 18.4 && time(i) <= 22.44
        y_akse_apf(2,c(2)) = y_akse(i);
        c(2) = c(2) + 1;
    end
    if time(i) >= 28.2 && time(i) <= 32.01
        y_akse_apf(3,c(3)) = y_akse(i);
        c(3) = c(3) + 1;
    end
     if time(i) >= 38.3 && time(i) <= 42.45
        y_akse_apf(4,c(4)) = y_akse(i);
        c(4) = c(4) + 1;
     end
    if time(i) >= 48.2 && time(i) <= 52.3
        y_akse_apf(5,c(5)) = y_akse(i);
        c(5) = c(5) + 1;
    end
    if time(i) >= 58.2 && time(i) <= 62.24
        y_akse_apf(6,c(6)) = y_akse(i);
        c(6) = c(6) + 1;
    end
end
y_akse_apf_s = y_akse_apf(:,1:2576); %trimming the data

avg = zeros(6,1);

for k=1:6
    avg(k) = sum(y_akse_apf_s(k,:))/length(y_akse_apf_s(k,:));
end


