Sandwitch = [16.6 60]';
K6D40 = [-10 70]';
Mini40 = [0 50]';
QMA142 = [16 71]';

% first make up some data...
x=1:4;% 30 days hath...
y=[Sandwitch K6D40 Mini40 QMA142];        % max, min temp distribution;
ix=diff(y)<0;                % fixup to make sure all
y(:,ix)=flipud(y(:,ix));     % max are > min

hB=bar([y(1,:); diff(y)].','stacked','EdgeColor','w');
hB(1).FaceColor='w';  % set the color of bottom to background (white)

xticklabels({'Sandwitch Solution','K6D40','Mini40','QMA142'})
xtickangle(30)
title('Temperature range comparison')
ylabel(['Temperature' char(176) 'C'])
xlabel('Sensors')
ylim([-15 85])
xlim([0.5 4.5])

grid