#include<SPI.h>
//The csPin commandlines decides which output ports on the adafruit microcontroller the connection cables are connected to.
//It is important that it is a digital output port that is chosen but which ones that are chosen are completely up to the user.
const byte csPin1=10;
const byte csPin2=9;
const byte csPin3=6;
const byte csPin4=1;
int Spenning_Inn=A0;
int Spenning_Ut=A1;
//These commandlines designate which analog input ports recieve which sensor signals. It's important that the names matches the input data. 
const int  maxPositions=256; //Number of positions the wipers can move in the digipots.  
//These values set the wiper position and therefore decided the resistance values. 
//To find what wiper position gives which resistancevalue, take the total potmeter value and divide it by 255. 

void setup() {
  Serial.begin(9600);
  pinMode(csPin1, OUTPUT);
  pinMode(csPin2, OUTPUT);
  pinMode(csPin3, OUTPUT);
  pinMode(csPin4, OUTPUT); 
  pinMode(Spenning_Inn,OUTPUT);
  pinMode(Spenning_Ut,INPUT);
  analogWrite(Spenning_Inn,10);
//SPI.begin initialises SPI communication with the digipots. 
  SPI.begin(); 
}

void loop() {
  //Write in for the middle value, the desired wiperposition from 0-255 for the potentiometers. 
  DigitalPotWrite(0x11, 103, csPin1);
  DigitalPotWrite(0x11, 255, csPin2);
  DigitalPotWrite(0x11, 255, csPin3);
  DigitalPotWrite(0x11, 255, csPin4);

  int Output=analogRead(A1/4);
  Serial.println(Output);  
  delay(600);//the first variable for plotting

  
    //for (int POT_Dn = 0; POT_Dn < 256; POT_Dn++) {
      //DigitalPotWrite(0x11, POT_Dn, csPin1);
   //}
       
}
//Code that sends 
void DigitalPotWrite(int cmd, int val, int CS_PIN)
{
  // constrain input value within 0 - 255
  val = constrain(val, 0, 255);
  // set the CS pin to low to select the chip:
  digitalWrite(CS_PIN, LOW);
  // send the command and value via SPI:
  //SPI.transfer(cmd);
  SPI.transfer(val);
  // Set the CS pin high to execute the command:
  digitalWrite(CS_PIN, HIGH);
}
  
