clc
clear
data_raw = load('data_xneg_periodisk.txt');
data = data_raw(10000:end,:);
x_akse = data(:,2)';

time = timeVec(data);

apf = zeros(6,length(time));

c = ones(1,6); %Array with counters
for i = 1:length(time)-1 %Inserted the estimated time for when force was applied
    if time(i) >= 5.5 && time(i) <= 9.1
        apf(1,c(1)) = x_akse(i);
        c(1) = c(1) + 1;
    end
    if time(i) >= 14.8 && time(i) <= 19.21
        apf(2,c(2)) = x_akse(i);
        c(2) = c(2) + 1;
    end
    if time(i) >= 24.7 && time(i) <= 28.98
        apf(3,c(3)) = x_akse(i);
        c(3) = c(3) + 1;
    end
     if time(i) >= 35.2 && time(i) <= 39.16
        apf(4,c(4)) = x_akse(i);
        c(4) = c(4) + 1;
    end
     if time(i) >= 45 && time(i) <= 49.18
        apf(5,c(5)) = x_akse(i);
        c(5) = c(5) + 1;
     end
    if time(i) >= 55 && time(i) <= 59.05
        apf(6,c(6)) = x_akse(i);
        c(6) = c(6) + 1;
    end
end

apf_s = apf(:,1:2361);


avg = zeros(6,1);

for k=1:6
    avg(k) = sum(apf_s(k,:))/length(apf_s(k,:));
end