Sandwitch = (20*40*40 + pi*((41.4/2)^2)*25.4 + pi*(20.5^2)*10)*0.001;
K6D40 = (pi*40*(30^2))*0.001;
Mini40 = (pi*12.2*(20^2))*0.001;
QMA142 = (pi*9.5*(25^2))*0.001;

X = categorical({'Sandwitch Solution','K6D40','Mini40','QMA142'});
X = reordercats(X,{'Sandwitch Solution','K6D40','Mini40','QMA142'});
Y = [Sandwitch K6D40 Mini40 QMA142];
bar(X,Y,0.4)

ylabel('Volume (cm^3)')
xlabel('Sensors')
title('Required volume comparison')
grid